<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: FBSDKShareDialog Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Class Methods</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="interface_f_b_s_d_k_share_dialog-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">FBSDKShareDialog Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_f_b_s_d_k_share_dialog_8h_source.html">FBSDKShareDialog.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for FBSDKShareDialog:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_f_b_s_d_k_share_dialog.png" usemap="#FBSDKShareDialog_map" alt=""/>
  <map id="FBSDKShareDialog_map" name="FBSDKShareDialog_map">
<area href="protocol_f_b_s_d_k_sharing_dialog-p.html" alt="&lt;FBSDKSharingDialog&gt;" shape="rect" coords="157,112,304,136"/>
<area href="protocol_f_b_s_d_k_sharing-p.html" alt="&lt;FBSDKSharing&gt;" shape="rect" coords="157,56,304,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Class Methods</h2></td></tr>
<tr class="memitem:add3bd19a541dcea119922005a5f4b4db"><td class="memItemLeft" align="right" valign="top">(instancetype)&#160;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_f_b_s_d_k_share_dialog.html#add3bd19a541dcea119922005a5f4b4db">showFromViewController:withContent:delegate:</a></td></tr>
<tr class="separator:add3bd19a541dcea119922005a5f4b4db"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a1319782aa7ce9db59c35ac6a9bb9a2c9"><td class="memItemLeft" align="right" valign="top">UIViewController *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_f_b_s_d_k_share_dialog.html#a1319782aa7ce9db59c35ac6a9bb9a2c9">fromViewController</a></td></tr>
<tr class="separator:a1319782aa7ce9db59c35ac6a9bb9a2c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2fa09cba91a90a644c2cd8dd26de372d"><td class="memItemLeft" align="right" valign="top">FBSDKShareDialogMode&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_f_b_s_d_k_share_dialog.html#a2fa09cba91a90a644c2cd8dd26de372d">mode</a></td></tr>
<tr class="separator:a2fa09cba91a90a644c2cd8dd26de372d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header properties_protocol_f_b_s_d_k_sharing-p"><td colspan="2" onclick="javascript:toggleInherit('properties_protocol_f_b_s_d_k_sharing-p')"><img src="closed.png" alt="-"/>&#160;Properties inherited from <a class="el" href="protocol_f_b_s_d_k_sharing-p.html">&lt;FBSDKSharing&gt;</a></td></tr>
<tr class="memitem:a310585baeb89d309bda3879aaa1be72d inherit properties_protocol_f_b_s_d_k_sharing-p"><td class="memItemLeft" align="right" valign="top">id&lt; <a class="el" href="protocol_f_b_s_d_k_sharing_delegate-p.html">FBSDKSharingDelegate</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="protocol_f_b_s_d_k_sharing-p.html#a310585baeb89d309bda3879aaa1be72d">delegate</a></td></tr>
<tr class="separator:a310585baeb89d309bda3879aaa1be72d inherit properties_protocol_f_b_s_d_k_sharing-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cc352e3d8e8aec628ba42e8718bbeaf inherit properties_protocol_f_b_s_d_k_sharing-p"><td class="memItemLeft" align="right" valign="top">id&lt; <a class="el" href="protocol_f_b_s_d_k_sharing_content-p.html">FBSDKSharingContent</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="protocol_f_b_s_d_k_sharing-p.html#a9cc352e3d8e8aec628ba42e8718bbeaf">shareContent</a></td></tr>
<tr class="separator:a9cc352e3d8e8aec628ba42e8718bbeaf inherit properties_protocol_f_b_s_d_k_sharing-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1c01a21db7b956e8ea47df72f01d12d inherit properties_protocol_f_b_s_d_k_sharing-p"><td class="memItemLeft" align="right" valign="top">BOOL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="protocol_f_b_s_d_k_sharing-p.html#ac1c01a21db7b956e8ea47df72f01d12d">shouldFailOnDataError</a></td></tr>
<tr class="separator:ac1c01a21db7b956e8ea47df72f01d12d inherit properties_protocol_f_b_s_d_k_sharing-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_methods_protocol_f_b_s_d_k_sharing_dialog-p"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_protocol_f_b_s_d_k_sharing_dialog-p')"><img src="closed.png" alt="-"/>&#160;Instance Methods inherited from <a class="el" href="protocol_f_b_s_d_k_sharing_dialog-p.html">&lt;FBSDKSharingDialog&gt;</a></td></tr>
<tr class="memitem:a68ec3b22db7bf5b908fdc12438d38159 inherit pub_methods_protocol_f_b_s_d_k_sharing_dialog-p"><td class="memItemLeft" align="right" valign="top">(BOOL)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_sharing_dialog-p.html#a68ec3b22db7bf5b908fdc12438d38159">canShow</a></td></tr>
<tr class="separator:a68ec3b22db7bf5b908fdc12438d38159 inherit pub_methods_protocol_f_b_s_d_k_sharing_dialog-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a442b2571fe59477a403a9e14a7e9c1f6 inherit pub_methods_protocol_f_b_s_d_k_sharing_dialog-p"><td class="memItemLeft" align="right" valign="top">(BOOL)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_sharing_dialog-p.html#a442b2571fe59477a403a9e14a7e9c1f6">show</a></td></tr>
<tr class="separator:a442b2571fe59477a403a9e14a7e9c1f6 inherit pub_methods_protocol_f_b_s_d_k_sharing_dialog-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_protocol_f_b_s_d_k_sharing-p"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_protocol_f_b_s_d_k_sharing-p')"><img src="closed.png" alt="-"/>&#160;Instance Methods inherited from <a class="el" href="protocol_f_b_s_d_k_sharing-p.html">&lt;FBSDKSharing&gt;</a></td></tr>
<tr class="memitem:af70f439e9b7caf3671d798c29458fe59 inherit pub_methods_protocol_f_b_s_d_k_sharing-p"><td class="memItemLeft" align="right" valign="top">(BOOL)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_sharing-p.html#af70f439e9b7caf3671d798c29458fe59">validateWithError:</a></td></tr>
<tr class="separator:af70f439e9b7caf3671d798c29458fe59 inherit pub_methods_protocol_f_b_s_d_k_sharing-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A dialog for sharing content on Facebook. </p>
</div><h2 class="groupheader">Method Documentation</h2>
<a id="add3bd19a541dcea119922005a5f4b4db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add3bd19a541dcea119922005a5f4b4db">&#9670;&nbsp;</a></span>showFromViewController:withContent:delegate:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">+ (instancetype) showFromViewController: </td>
          <td></td>
          <td class="paramtype">(UIViewController *)&#160;</td>
          <td class="paramname"><em>viewController</em></td>
        </tr>
        <tr>
          <td class="paramkey">withContent:</td>
          <td></td>
          <td class="paramtype">(id&lt; <a class="el" href="protocol_f_b_s_d_k_sharing_content-p.html">FBSDKSharingContent</a> &gt;)&#160;</td>
          <td class="paramname"><em>content</em></td>
        </tr>
        <tr>
          <td class="paramkey">delegate:</td>
          <td></td>
          <td class="paramtype">(id&lt; <a class="el" href="protocol_f_b_s_d_k_sharing_delegate-p.html">FBSDKSharingDelegate</a> &gt;)&#160;</td>
          <td class="paramname"><em>delegate</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Convenience method to show an <a class="el" href="interface_f_b_s_d_k_share_dialog.html">FBSDKShareDialog</a> with a fromViewController, content and a delegate.</p><ul>
<li>Parameter viewController: A UIViewController to present the dialog from, if appropriate.</li>
<li>Parameter content: The content to be shared.</li>
<li>Parameter delegate: The receiver's delegate. </li>
</ul>

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="a1319782aa7ce9db59c35ac6a9bb9a2c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1319782aa7ce9db59c35ac6a9bb9a2c9">&#9670;&nbsp;</a></span>fromViewController</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (UIViewController*) fromViewController</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">weak</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>A UIViewController to present the dialog from.</p>
<p>If not specified, the top most view controller will be automatically determined as best as possible. </p>

</div>
</div>
<a id="a2fa09cba91a90a644c2cd8dd26de372d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2fa09cba91a90a644c2cd8dd26de372d">&#9670;&nbsp;</a></span>mode</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (FBSDKShareDialogMode) mode</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>The mode with which to display the dialog.</p>
<p>Defaults to FBSDKShareDialogModeAutomatic, which will automatically choose the best available mode. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_f_b_s_d_k_share_dialog_8h_source.html">FBSDKShareDialog.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
